#!/usr/bin/python
# coding=utf-8
 
# Les modules nécessaires sont importés et mis en place
import RPi.GPIO as GPIO
import Adafruit_DHT
import time
 
# instauration d'une pause de 2 secondes entre 2 mesures
sleeptime = 2
 
# le capteur doit être réglée sur Adafruit_DHT.DHT11,
# Adafruit_DHT.DHT22, or Adafruit_DHT.AM2302.
DHTSensor = Adafruit_DHT.DHT11
 
# déclaration de la broche de raccordement du capteur
GPIO_Pin = 23
 
print('Test du module KY-015 Test - Température et humidité')
 
try:
    while(1):
        # la mesure débute et les résultats sont contenus dans les variables correspondantes
        Humidite, Temperature = Adafruit_DHT.read_retry(DHTSensor, GPIO_Pin)
 
        print("-----------------------------------------------------------------")
        if Humidite is not None and Temperature is not None:
 
            # Les résultats sont envoyés dans la console
            print('Température = {0:0.1f}°C  | Humidité relative = {1:0.1f}%'.format(Temperature, Humidite))
 
        # Étant donné que le Raspberry Pi est désavantagé en raison du système d'exploitation Linux
        # pour les applications en temps réel, il est possible de la communication échoue en raison d'un
        # délai trop long. Dans ce cas, un message d'erreur s'affiche.
        else:
            print('Erreur lors de la lecture - Veuillez attendre le prochain essai!')
        print("-----------------------------------------------------------------")
        print("")
        time.sleep(sleeptime)
 
# remise en place de tous les GPIO en entrées
except KeyboardInterrupt:
    GPIO.cleanup()